import { Logger } from "@libp2p/logger";
import { Config, Effect, ModelValue, QueryParams, WhereCondition } from "@canvas-js/modeldb";
import { Database } from "@sqlite.org/sqlite-wasm";
export declare class InnerModelDB {
    #private;
    readonly db: Database;
    protected readonly log: Logger;
    constructor(db: Database, config: Config, log: Logger);
    close(): void;
    apply(effects: Effect[]): void;
    get<T extends ModelValue>(modelName: string, key: string): T;
    getMany<T extends ModelValue>(modelName: string, keys: string[]): T[];
    iterate(modelName: string, query?: QueryParams): AsyncIterable<ModelValue>;
    count(modelName: string, where?: WhereCondition): number;
    query<T extends ModelValue = ModelValue>(modelName: string, query?: QueryParams): T[];
    clear(modelName: string): void;
}
