import { Relation, Model, ModelValue, PropertyValue, QueryParams, WhereCondition } from "@canvas-js/modeldb";
import { OpfsDatabase } from "@sqlite.org/sqlite-wasm";
export declare class ModelAPI {
    #private;
    readonly db: OpfsDatabase;
    readonly model: Model;
    columnNames: string[];
    constructor(db: OpfsDatabase, model: Model);
    get(key: string): ModelValue | null;
    getMany(keys: string[]): (ModelValue | null)[];
    set(value: ModelValue): void;
    delete(key: string): void;
    clear(): void;
    count(where?: WhereCondition): number;
    iterate(query?: QueryParams): AsyncIterable<ModelValue>;
    query(query: QueryParams): ModelValue[];
    private parseQuery;
    private getSelectExpression;
    private getWhereExpression;
}
export declare class RelationAPI {
    #private;
    readonly db: OpfsDatabase;
    readonly relation: Relation;
    readonly table: string;
    readonly sourceIndex: string;
    readonly targetIndex: string;
    constructor(db: OpfsDatabase, relation: Relation);
    get(source: string): string[];
    add(source: string, targets: PropertyValue): void;
    delete(source: string): void;
}
