import { SqlValue } from "@sqlite.org/sqlite-wasm";
import type { Model, ModelValue, PrimaryKeyProperty, PrimaryKeyValue, PrimitiveProperty, PrimitiveValue, ReferenceProperty } from "@canvas-js/modeldb";
export declare function encodeQueryParams(params: Record<string, PrimitiveValue>): Record<string, SqlValue>;
export declare function encodeRecordParams(model: Model, value: ModelValue, params: Record<string, `p${string}`>): {
    [arg: `p${string}`]: SqlValue;
};
export declare function decodeRecord(model: Model, record: Record<string, SqlValue>): ModelValue;
export declare function decodePrimaryKeyValue(modelName: string, property: PrimaryKeyProperty, value: SqlValue): PrimaryKeyValue;
export declare function decodePrimitiveValue(modelName: string, property: PrimitiveProperty, value: SqlValue): PrimitiveValue;
export declare function decodeReferenceValue(modelName: string, property: ReferenceProperty, value: SqlValue): string | null;
