import { OpfsDatabase, SqlValue } from "@sqlite.org/sqlite-wasm";
export declare class Query<P extends {
    [column: string]: SqlValue;
}, R> {
    private readonly sql;
    private readonly statement;
    constructor(db: OpfsDatabase, sql: string);
    get(params: P): R | null;
    all(params: P): R[];
    iterate(params: P): IterableIterator<R>;
}
export declare class Method<P extends {
    [column: string]: SqlValue;
}> {
    private readonly sql;
    private readonly statement;
    constructor(db: OpfsDatabase, sql: string);
    run(params: P): void;
}
